library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity segment is
    Port (	arvo : in std_logic_vector(3 downto 0);
	 			naytto : out std_logic_vector(0 to 7));
end segment;

architecture Behavioral of segment is

begin

	with arvo Select
	naytto <= 	"00000011" when "0000",
					"10011111" when "0001",  
					"00100101" when "0010",  
					"00001101" when "0011",  
					"10011001" when "0100",  
					"01001001" when "0101",  
					"01000001" when "0110",  
					"00011111" when "0111",
					"00000001" when "1000",
					"00001001" when "1001",  
					"11111110" when others; 

end Behavioral;